.box-shadow {
  box-shadow: var(--background-tertiary-shadow);
}

.shadow-primary {
  box-shadow: 0px 0px 3px 2px var(--primary-default);
  transition: all .5s;
}

.disabled {
  background-color: rgb(175, 175, 175);
}

.hide {
  display: none;
}

.flip-horizontal {
  transform: scaleX(-1);
}

.non-visible {
  opacity: 0 !important;
  z-index: -100 !important;
}

.overlay {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 100%;
  z-index: -1;
  top: 50px;
  left: 0 !important;
}

//Scrollbar
::-webkit-scrollbar {
  width: 11px; 
}

::-webkit-scrollbar-track {
  background: var(--background-secondary);
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  background-color: var(--background-default-transperant);
  border: 3px solid transparent;
  border-radius: 9px;
  background-clip: content-box;
}

.circle-icon {
  padding: 2px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  cursor: pointer;

  span {
    font-size: 30px;
  }

  ::selection {
    background-color: none;
    color: unset;
  }
}

.delete-icon {
  &:hover {
    color: var(--error-default);
    background-color: var(--error-light);
  }
}

.default-icon {
  &:hover {
    color: var(--primary-default);
    background-color: var(--font-color-secondary);
  }
}

.author-img {
  width: 35px;
  height: 35px;
  border-radius: 50%;
  margin: 0 7px;
}

.author-name {
  font-weight: 500;
}

.form-overlay {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  z-index: 100;
  background-color: rgba(0,0,0,0.5);
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}